﻿body {
}

.body {
    padding: 20px;
}

.container-lg {
    max-width: 1600px;
    padding-top: 15px;
    padding-bottom: 15px;
}

input, select, textarea {
    max-width: 280px;
}

.table td {
    vertical-align: middle;
}

.goods-list-body {
    margin: -20px;
    margin-right: 0;
    display: grid;
    grid-template-rows: auto;
    grid-template-columns: 250px auto;
    grid-column-gap: 20px;
    height: 100vh;
}

.filter-panel {
    border-right: 1px solid lightgray;
    padding: 20px;
}

    .filter-panel input[type="submit"] {
        margin-top: 20px;
    }

.goods-list {
    padding: 20px 0;
}

.product-title-link {
    font-weight: bold;
    color: inherit;
    text-decoration: none;
    white-space: nowrap;
    display: block;
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
}

.card-product-item {
    width: 300px;
    margin: 10px;
}

    .card-product-item:hover {
        box-shadow: 0 0 5px 0 black;
    }

.cart-badge {
    position: relative;
    top: -2ex;
    right: 1em;
    font-size: 11px;
    opacity: 0.6;
}

.nav-item:hover .cart-badge {
    opacity: 1;
}
